Quassel IRC - Bug #300

Left-clicking inactive/parted channelbuffers throws X11 errors
08/28/2008 01:25 PM - seezer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.4.3 0S: Any
Description

Steps to reproduce:
Part a channel, leftclick it in All Buffers (or any other bufferview)
This joins the channel again and causes the errors below.

Additional information:

X Error: BadDrawable (invalid Pixmap or Window parameter) 9
Major opcode: 55 (X_CreateGC)
Resource id: 0x0

X Error: BadDrawable (invalid Pixmap or Window parameter) 9
Major opcode: 55 (X_CreateGC)
Resource id: 0x0

X Error: BadGC (invalid GC parameter) 13
Major opcode: 56 (X_ChangeGC)
Resource id: 0x5d15f4d

X Error: BadGC (invalid GC parameter) 13
Major opcode: 56 (X_ChangeGC)
Resource id: 0x5d15f4e

X Error: BadGC (invalid GC parameter) 13
Major opcode: 56 (X_ChangeGC)
Resource id: 0x5d15f4d

X Error: BadGC (invalid GC parameter) 13
Major opcode: 56 (X_ChangeGC)
Resource id: 0x5d15f4e

X Error: BadGC (invalid GC parameter) 13
Major opcode: 60 (X_FreeGC)

Resource id: 0x5d15f4e

X Error: BadGC (invalid GC parameter) 13
Major opcode: 60 (X_FreeGC)

Resource id: 0x5d15f4d

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 03/03/2010 08:05 PM - johu
- Status changed from New to Closed
- Version set to 0.4.3

- OS set to Any

can not reproduce in 0.6 beta
